com.independentsoft.exchange

## Enum IndexedPropertyPathUri

- java.lang.Object
- - java.lang.Enum<IndexedPropertyPathUri>
  - - com.independentsoft.exchange.IndexedPropertyPathUri

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IndexedPropertyPathUri>

      public enum IndexedPropertyPathUri
      extends java.lang.Enum<IndexedPropertyPathUri>

  Identifies individual members of a dictionary.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CITY` Represents the city of a contact.
    `COUNTRY` Represents the country of a contact.
    `EMAIL_ADDRESS` Represents the e-mail address of a contact.
    `INSTANT_MESSENGER_ADDRESS` Represents the instant messaging address of a contact.
    `INTERNET_MESSAGE_HEADER` Represents the message header of an item.
    `PHONE_NUMBER` Represents the phone number of a contact.
    `POSTAL_CODE` Represents the postal code of a contact.
    `STATE` Represents the state of a contact.
    `STREET` Represents the street address of a contact.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexedPropertyPathUri` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IndexedPropertyPathUri[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERNET_MESSAGE_HEADER

          public static final IndexedPropertyPathUri INTERNET_MESSAGE_HEADER

      Represents the message header of an item.

    - #### INSTANT_MESSENGER_ADDRESS

          public static final IndexedPropertyPathUri INSTANT_MESSENGER_ADDRESS

      Represents the instant messaging address of a contact.

    - #### STREET

          public static final IndexedPropertyPathUri STREET

      Represents the street address of a contact.

    - #### CITY

          public static final IndexedPropertyPathUri CITY

      Represents the city of a contact.

    - #### STATE

          public static final IndexedPropertyPathUri STATE

      Represents the state of a contact.

    - #### COUNTRY

          public static final IndexedPropertyPathUri COUNTRY

      Represents the country of a contact.

    - #### POSTAL_CODE

          public static final IndexedPropertyPathUri POSTAL_CODE

      Represents the postal code of a contact.

    - #### PHONE_NUMBER

          public static final IndexedPropertyPathUri PHONE_NUMBER

      Represents the phone number of a contact.

    - #### EMAIL_ADDRESS

          public static final IndexedPropertyPathUri EMAIL_ADDRESS

      Represents the e-mail address of a contact.

  - ### Method Detail

    - #### values

          public static IndexedPropertyPathUri[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexedPropertyPathUri c : IndexedPropertyPathUri.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexedPropertyPathUri valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null